/* Reset */

@font-face {
    font-family: 'JetBrainsMono';
    src: url('/fonts/JetBrainsMono-Medium.woff2');
    font-weight: normal;
    font-style: normal;
}

@font-face {
    font-family: 'JetBrainsMono';
    src: url('/fonts/JetBrainsMono-MediumItalic.woff2');
    font-weight: normal;
    font-style: italic;
}

@font-face {
    font-family: 'JetBrainsMono';
    src: url('/fonts/JetBrainsMono-Bold.woff2');
    font-weight: bold;
    font-style: normal;
}

@font-face {
    font-family: 'JetBrainsMono';
    src: url('/fonts/JetBrainsMono-BoldItalic.woff2');
    font-weight: bold;
    font-style: italic;
}

* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}

html {
    overflow-y: auto;
    scrollbar-gutter: stable;
}


body {
    background: #121212;
    font-family: JetBrainsMono, monospace;
    color: #eee;
    padding: 1.5vw;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
}

header {
    display: flex;
    align-items: left;
    padding: 20px;
}

footer {
    display: flex;
    align-items: left;
    padding: 20px
}

a {
  color: inherit;
  text-decoration: none;
}

p {
  max-width: 100%;
}


.logo {
    position: absolute;
    top: 3%;
    left: 1.5%;
    height: 8%;
}

.software-logo-container {
    grid-row: repeat(3, 1fr);
    gap: 0.5vw;
    display: flex;
    flex-direction: row;
    justify-content: left;
    margin-left: 5vw;
    margin-right: 5vw;
    bottom: 1vh;

}

.software-logo {
    grid-column: span 1;
    height: 5vh;
}

.github {
    position: absolute;
    top: 3%;
    right: 10vw;
    height: 6%;
}

.linkedin {
    position: absolute;
    top: 3%;
    right: 2vw;
    height: 6%;
}


.container,
.about-container,
.portfolio-container,
.projects-container {
    gap: 1.5vw;
    padding: 1.5vw;
    width: 85vw;
    max-width: 85vw;
    height: 80vh;
    margin-top: 4vh;
}

.container {
    display: grid;
    grid-template-columns: repeat(6, 1fr);
    grid-template-rows: repeat(3, 1fr);
}

/* Container for About Me page */
.about-container {
    display: flex;
}

/* Box shared styles */
.box {
    background: #1f1f1f;
    border-radius: 16px;
    padding: 1vw;
    box-shadow: 0 2px 8px rgba(0,0,0,0.6);
    font-size: 2.8rem;
    font-weight: 700;
    display: flex;
    flex-direction: column;
    justify-content: center;
    text-align: center;
    cursor: pointer;
    transition:
        transform 0.3s cubic-bezier(0.4,0,0.2,1),
        box-shadow 0.3s cubic-bezier(0.4,0,0.2,1);
}
.box-double-x:hover,
.box-double-y:hover,
.box-quad:hover,
.box:hover {
    transform: scale(1.05);
    box-shadow: 0 0 18px 3px #9c8efb;
}

.box-double-x {
    grid-column: span 2;
    background: #1f1f1f;
    border-radius: 16px;
    padding: 1vw;
    box-shadow: 0 2px 8px rgba(0,0,0,0.6);
    font-size: 2.8rem;
    font-weight: 700;
    display: flex;
    flex-direction: column;
    justify-content: center;
    text-align: center;
    cursor: pointer;
    transition:
        transform 0.3s cubic-bezier(0.4,0,0.2,1),
        box-shadow 0.3s cubic-bezier(0.4,0,0.2,1);
}

.box-double-y {
    grid-row: span 2;
    background: #1f1f1f;
    border-radius: 16px;
    padding: 1vw;
    box-shadow: 0 2px 8px rgba(0,0,0,0.6);
    font-size: 2.8rem;
    font-weight: 700;
    display: flex;
    flex-direction: column;
    justify-content: center;
    text-align: center;
    cursor: pointer;
    transition:
        transform 0.3s cubic-bezier(0.4,0,0.2,1),
        box-shadow 0.3s cubic-bezier(0.4,0,0.2,1);
}

.box-quad {
    grid-column: span 2;
    grid-row: span 2;
    background: #1f1f1f;
    border-radius: 16px;
    padding: 1vw;
    box-shadow: 0 2px 8px rgba(0,0,0,0.6);
    font-size: 2.8rem;
    font-weight: 700;
    display: flex;
    flex-direction: column;
    justify-content: center;
    text-align: center;
    cursor: pointer;
    transition:
        transform 0.3s cubic-bezier(0.4,0,0.2,1),
        box-shadow 0.3s cubic-bezier(0.4,0,0.2,1);
}

/* Grid positioning */
.box-render {
    grid-column: 1 / span 4;
    grid-row: 1 / span 2;
    font-size: 3.5rem;
    font-weight: 700;
}

.box-about {
    grid-column: 5 / span 2;
    grid-row: 2 / span 2;
    font-size: 2.8rem;
    font-weight: 700;
}

.box-contact {
    grid-column: 5 / span 2;
    grid-row: 1 / span 1;
    font-size: 2.8rem;
    font-weight: 700;
}

.box-projects {
    grid-column: 1 / span 4;
    grid-row: 3 / span 1;
    font-size: 2.8rem;
    font-weight: 700;
}

/* Text box, scales width of text using flex */
.about-text {
    flex: 1;
    min-width: 0;
}

.portfolio-text.box,
.about-text.box {
    border: none;
    cursor: default;
    transition: none;
    font-size: 1.2rem;
    box-shadow: 0 2px 8px rgba(0,0,0,0.6);
}

.about-text.box {
    max-width: 65ch;
    max-height: 75vh;
    min-width: 60ch;
}

.portfolio-text-double.box:hover,
.portfolio-text.box:hover,
.about-text.box:hover {
    transform: none;
    box-shadow: 0 2px 8px rgba(0,0,0,0.6);
    z-index: 10;
}

.software-photo,
.about-photo {
    flex: 1;
    display: flex;
    align-items: center;
    justify-content: center;
    cursor: default;
    gap: 20px;
    padding: 20px;
}

/* Photo styling */
.software-photo img,
.about-photo img {
    max-width: 60vw;
    max-height: 75vh;
    min-width: 30vw;
    border-radius: 10px;
    box-shadow: 0 2px 8px rgba(0,0,0,0.6);
}

.software-photo img {
    box-shadow: none;
}

.portfolio-container {
    grid-template-columns: repeat(2, 1fr);
    grid-template-rows: repeat(1, 1fr);
}

.portfolio-text-double.box {
    border: none;
    cursor: default;
    transition: none;
    font-size: 1.2rem;
    box-shadow: 0 2px 8px rgba(0,0,0,0.6);
    grid-column: 1 / span 2;
}

.portfolio-photo-double,
.portfolio-photo {
    font-size: 1.2rem;
    font-weight: 400;
    text-align: center;
}

.portfolio-photo img,
.portfolio-photo video {
    width: 100%;
    max-width: 800px;
    border-radius: 10px;
    box-shadow: 0 2px 8px rgba(0,0,0,0.6);
}

.portfolio-photo-double {
    grid-column: 1 / span 2;
    display: grid;
    justify-content: center;
}

.portfolio-photo-hero {
    grid-column: 1 / span 2;
    display: grid;
    justify-content: center;
}

.portfolio-photo-hero img,
.portfolio-photo-hero video {
    width: 100%;
    max-width: 160vh;
    border-radius: 10px;
    box-shadow: none;
}

.portfolio-photo-double img {
    width: 100%;
    max-width: 800px;
    border-radius: 10px;
    box-shadow: 0 2px 8px rgba(0,0,0,0.6);
}

.projects-container {
    display: grid;
    grid-template-columns: repeat(4, 1fr);

    grid-auto-rows: 220px; /* row height */
    gap: 1.5vw;
    height: auto;
    min-height: 80vh;
}

/* Responsive for smaller screens */
@media (max-width: 768px) {
    .container {
        grid-template-columns: 1fr;
        flex-direction: column;
        justify-items: center;
        height: auto;
    }

    
    .about-container {
        flex-direction: column;
        justify-items: center;
        align-self: center;
    }

    .projects-container {
        grid-template-columns: 1fr;
        flex-direction: column;
        height: auto;
        align-self: center;
    }

    .box-render,
    .box-nextsteps,
    .box-about,
    .box-pipeline,
    .box-tooldev {
        grid-column: auto !important;
        grid-row: auto !important;
    }

    .box {
        font-size: 0.8rem;
        margin-bottom: 20px;
    }
    
    .about-text.box {
        font-size: 0.5rem;
        flex-direction: column;
        justify-items: center;
        min-width: 0;
        max-width: 90%;
        width: 100%;
        justify-content: flex-start;
    }
    
    .software-photo img {
        max-height: 60%;
    }

    .software-photo,
    .about-text,
    .about-photo {
        grid-column: 1 / -1; /* full width */
        align-self: center;
    }

    
    .linkedin {
        position: absolute;
        top: 3%;
        right: 2%;
        height: 3%;
    }

    .github {
        position: absolute;
        top: 3%;
        right: 10%;
        height: 3%;
    }

    .logo {
        position: absolute;
        top: 3%;
        left: 1.5%;
        height: 4%;
    }

    .box-projects,
    .box-contact,
    .box-about,
    .box-render {
        grid-column: span 1;
        grid-row: span 1;
        font-size: 0.8rem;
        font-weight: 700;
        align-self: center;
    }

}
